at.chipkarte.client.ebs.soap

## Class Katalogdaten

- Object
- - at.chipkarte.client.ebs.soap.Katalogdaten

-     public class Katalogdaten
      extends Object

  Enthält die abgefragten Verordnungskatalog-Daten eines bestimmten Antragstyps (siehe `abfrageVokDaten`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Katalogdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAntragstyp()` Antragstyp zu den ermittelten Leistungsinformationen.
    `Kategorie[]` | `getKategorien()` Kategorien zu den in den Leistungsinformationen enthaltenten Katalogleistungen.
    `Leistungsinformation[]` | `getLeistungsinformationen()` Ermittelte Leistungsinformationen.
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setKategorien(Kategorie[] kategorien)`
    `void` | `setLeistungsinformationen(Leistungsinformation[] leistungsinformationen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Katalogdaten

          public Katalogdaten()

  - ### Method Detail

    - #### getAntragstyp

          public String getAntragstyp()

      Antragstyp zu den ermittelten Leistungsinformationen.
      Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
      Angabe: Muss.
      Returns:
        Antragstyp.

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)

    - #### getKategorien

          public Kategorie[] getKategorien()

      Kategorien zu den in den Leistungsinformationen enthaltenten Katalogleistungen. Siehe `Kategorie`.
      Angabe: Kann.
      0 bis n Elemente.
      Returns:
        Kategorien.

    - #### setKategorien

          public void setKategorien(Kategorie[] kategorien)

    - #### getLeistungsinformationen

          public Leistungsinformation[] getLeistungsinformationen()

      Ermittelte Leistungsinformationen. Siehe `Leistungsinformation`.
      Angabe: Muss.
      1 bis n Elemente.
      Returns:
        Leistungsinformation.

    - #### setLeistungsinformationen

          public void setLeistungsinformationen(Leistungsinformation[] leistungsinformationen)